# Runc

[Runc] (pronounced "runk") is a network communication repl inspired by netcat and curl. In contrast to those tools, runc is simpler and faster to use:

```bash
$ runc -h
-B, --no-body     discard the response body
-H, --no-header   discard the response header
-h, --help        print this message
-n, --host        host name (default 'localhost')
-p, --port        port (default 8000)
-v, --version     print runc version

$ runc -B -p 443 -n sergioro.mx
header> 
request> 
> host: sergioro.mx
>
< HTTP/1.1 200 OK
< date: Mon, 27 Apr 2020 06:08:17 GMT
< ...
<
header> host: localhost, port: 8000
request> get /index.html
> host: localhost
>
< HTTP/1.1 200 OK 
< content-type: text/html
< ...
<
```

Features and ProTips:

- Runc relies on standard library features and has zero external dependencies.
- The default request is `GET /`.
- An empty response/header fallbacks to it's previous value.
- Case-insensitive HTTP verbs.
- Runc stands for "run connection"

[runc]: https://rubygems.org/gems/runc
